diff a/src/hotspot/share/classfile/classFileParser.hpp b/src/hotspot/share/classfile/classFileParser.hpp
--- a/src/hotspot/share/classfile/classFileParser.hpp
+++ b/src/hotspot/share/classfile/classFileParser.hpp
@@ -70,10 +70,11 @@
 // Values needed for oopmap and InstanceKlass creation
 class FieldLayoutInfo : public ResourceObj {
  public:
   OopMapBlocksBuilder* oop_map_blocks;
   int _instance_size;
+  int _hash_offset;
   int _nonstatic_field_size;
   int _static_field_size;
   bool  _has_nonstatic_fields;
 };
 
@@ -498,10 +499,11 @@
   void set_klass_to_deallocate(InstanceKlass* klass);
 
   int static_field_size() const;
   int total_oop_map_count() const;
   jint layout_size() const;
+  int hash_offset() const;
 
   int vtable_size() const { return _vtable_size; }
   int itable_size() const { return _itable_size; }
 
   u2 this_class_index() const { return _this_class_index; }
